* { margin: 0; padding: 0; box-sizing: border-box; text-decoration: none; list-style:none;
color: inherit; font-family: "itc-avant-garde-gothic-pro", sans-serif; font-weight: 300; font-style: normal; }

html {
    scroll-behavior:smooth;
}

main, footer{background-color: #000000;}

p, a {font-size: clamp(14px, 2.5vw, 18px);}
h1 { font-size: clamp(32px, 6vw, 50px);} 
h2 { font-size: clamp(28px, 5vw, 40px);}  
h3 { font-size: clamp(20px, 4vw, 25px);}
h4 { font-size: clamp(16px, 3.5vw, 22px);}

/* ==================================== */
/*             DIV SHADOWS              */
/* ==================================== */

.menu, .flip span, .footer, .infodiv{
background: rgba(108, 108, 108, 0.15); box-shadow: inset -6px 5px 53px 5px rgba(255, 255, 255, 0.259);
backdrop-filter: blur(4.4px); border: 1px solid rgba(255, 255, 255, 0.31)}


/* ==================================== */
/*               HEADER                 */
/* ==================================== */

header {position: fixed; top: 0; width: 100%; color: white; z-index: 100; background: linear-gradient(180deg,rgba(0, 0, 0, 0.89) 48%, rgba(0, 0, 0, 0.56) 78%, rgba(0, 0, 0, 0) 100%); }

.headerdiv{ display: flex; flex-direction: row; padding: 30px; align-items: center; justify-content: space-between; }

.logo{width: 200px;}

.menu{ padding: 20px 40px; border-radius: 50px; display: flex; flex-direction: row; gap: 25px;};

.menulink{ color: #ffff; }

/* ==================================== */
/*             DROP DOWN PC             */
/* ==================================== */

.dropdown { position: relative; cursor: pointer; }

.dropdown-menu { position: absolute; top: 50px; left: 50%; transform: translateX(-50%); background: rgba(108, 108, 108, 0.15); backdrop-filter: blur(4.4px);
border: 1px solid rgba(255, 255, 255, 0.31); border-radius: 20px; padding: 10px 0; min-width: 350px; opacity: 0; visibility: hidden; transition: all 0.3s ease;
box-shadow: inset -6px 5px 53px 5px rgba(255, 255, 255, 0.259); list-style: none; margin-top: 10px; z-index: 1000; }

/* Mostrar dropdown cuando tiene clase active */

.dropdown.active .dropdown-menu { opacity: 1; visibility: visible;  margin-top: 0; background-color: #000000ee;  }

.dropdown-menu li { width: 100%; text-align: center;}

.dropdown-link { color: #ffff; text-decoration: none; display: block; padding: 10px 20px; transition: all 0.3s ease; font-size: 16px; }


/* Flecha indicadora */

.dropdown > .menulink::after { content: "▽";  margin-left: 5px; display: inline-block; transition: transform 0.3s ease; }

.dropdown.active > .menulink::after { transform: rotate(180deg); }


/* ==================================== */
/*                HERO                  */
/* ==================================== */

.breadcrumblist, .itemlistelement{display: flex; flex-direction: row; align-items: center; text-align: center; gap: 8px; padding: 10px 30px;}
.itemlistname{font-size: 15px;} .itemlistname.a{font-size: 18px; font-weight: 600;} .itemlistname.b{font-size: 17px; font-weight: 600;}

.hero { min-height: 75vh; width: 100%; background-size: cover; background-position: center; padding: 20px; position: relative; overflow: hidden;
display: flex; flex-direction: column; align-items: flex-start; justify-content: center; color: white; background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0), rgba(0, 0, 0, 1)), url(/images/ai-solutions-bck.webp) }

.hero::before { content: ''; position: absolute; top: 50%; left: 35%; transform: translate(-30%, -50%); width: 650px; height: 150px; filter: blur(70px); background-image: linear-gradient(#0a1966, #94d106, #0a1966); 
opacity: 1; border-radius: 70% 30% 70% 30% / 70% 30% 70% 70%; animation: wave 4s ease-in-out infinite, fadeIn 2s ease-in forwards; z-index: 0; }

.hero > * { position: relative; z-index: 1; }

.herocontent { padding: 40px; position: relative; top: 0; display: flex; flex-direction: column; gap: 20px; z-index: 1; }

.hero p{width: 85%;}

.buttons{padding: 20px 0 ; display: flex; flex-direction: row; gap: clamp(10px, 3.5vw, 40px); text-align: center;}

.btn-primary{ display: flex; align-items: center; padding: 12px 36px; border-radius: 50px; box-shadow: inset -6px 5px 53px 5px rgba(255, 255, 255, 0.259); backdrop-filter: blur(4.4px);
border: 1px solid rgba(255, 255, 255, 0.31); transition: 0.25s;  }

.btn-primary.demo{ background-color: #94d106; border-color: rgb(175, 247, 6); color: #000; font-weight: 400;}

/* ==================================== */
/*               2D SECT                */
/* ==================================== */

.secondsection{position: relative; display: flex; flex-direction: column; padding: 50px 20px; gap: 30px; background-color: #000000;  justify-content: center; align-items: center; color: #fff; }

#solutions-title{text-align: center; }

.separator {width: 400px; height: 2px; background: linear-gradient(90deg, transparent, #94d106, #fff, #94d106, transparent); animation: moveGradient 2s linear infinite;}
 
/* ==================================== */
/*                CARDS                */
/* ==================================== */

.cardscontainer{display: flex; flex-direction: row; justify-content: space-around; padding-top:30px; width: 100%; gap: 10px;}

.card{display: flex; flex-direction: column; border-radius: 20px; padding: 30px; gap: 25px; border: 1px solid #91d106; color: #ffff; max-width: 350px; min-height: 400px;
box-shadow: 0 0 25px 3px rgba(145, 209, 6, 0.35);}

.card.powerbi{background-image: linear-gradient(rgba(0, 0, 0, 1), rgba(0, 0, 0, 0.5)), url(/images/Power-Bi.webp);  background-position: top right;}
.card.ocr{background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 1)), url(/images/OCR.webp);  background-position: top right;}
.card.purchasingmanagement{background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 1)), url(/images/Purchasing-Management.webp); background-position: right;}
.card.productionmanagement{background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(/images/Production-Management.webp); background-position: right;}
.card.employeeportal{background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(/images/Employee-Portal-Management.webp); background-position: right;}

.card h3, .card h4, .card p { text-align: center; } .card h3{color: #94d106;}

.card{justify-content: space-around;} 

.buttoncards{display: flex; justify-content: flex-end; text-align: center;}

.btn-secondary{padding: 12px 30px; border-radius: 50px; box-shadow: inset -6px 5px 53px 5px rgba(255, 255, 255, 0.259); backdrop-filter: blur(4.4px);
border: 1px solid rgba(255, 255, 255, 0.31);  backdrop-filter: blur(4.4px); transition: 0.25s; }

.btn-tertiary{max-width: 40px; max-height: 40px; padding: 15px; border-radius: 100%; border: 2px solid #94d106; display: flex; justify-content: center; align-items: center; transition: 0.25s;  }

.btn-secondary.ai, .btn-secondary.powerbi{background-color: #94d106; color: #000000; font-weight: 400;}

.dotsline { display: block; width: 100%; border-bottom: 10px dotted #94d106;  }



/* ==================================== */
/*                FOOTER                */
/* ==================================== */

footer{color: #fff; padding: 20px; display: flex; flex-direction: column; text-align: center; gap: 20px; }
.footer{padding: 30px; display: flex; flex-direction: row; justify-content: space-around; border-radius: 50px; text-align: center;}
.subtitlefooter{margin-bottom: 10px;}
.linksfooter{color: #fff;}
.pagelinks.logo{display:flex; flex-direction: column; justify-content: center; align-items: center;}








